Subject: bug#11382: M-x grep sometimes mark matches erroneously

From: Chong Yidong <[email-masked]>
Date: Sun, 06 May 2012 12:54:55 +0800

Troels Nielsen <[email-masked]> writes:

> This patch fixes the problem for me.  It works by calculating the
> start-position correctly when end-col, but not end-line is set.
>
> I've also taken the liberty of not using loc for line in the upper
> part of compilation-internal-error-properties, as I think that use is
> a little confusing and possibly the cause of some bugs.

Committed to trunk.  Thank you.

We're approaching the extent of the contributions we can accept form you
without a copyright assignment.  If you intend to submit more patches in
the future, would you be willing to sign a copyright assignment?